| kspaceFirstOrder3D-CUDA 1.1 The CUDA/C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
TMatrixRecord Struct Reference

A structure storing details about the matrix. More...

`#include <MatrixRecord.h>`

Collaboration diagram for TMatrixRecord:
[legend]

## Public Types
enum | TMatrixType { REAL, COMPLEX, INDEX, CUFFT }
| All possible types of the matrix.

## Public Member Functions
| TMatrixRecord ()
| Default constructor. More...
| ~TMatrixRecord ()
| Destructor.
| TMatrixRecord (const TMatrixRecord &src)
| Copy constructor. More...
TMatrixRecord & | operator= (const TMatrixRecord &src)
| operator =. More...
void | Set (const TMatrixType matrixType, const TDimensionSizes dimensionSizes, const bool loadData, const bool checkpoint, TMatrixName &matrixName)
| Set all values of the record. More...

## Public Attributes
TBaseMatrix * | matrixPtr
| Pointer to the matrix object.
TMatrixType | matrixType
| Matrix data type.
TDimensionSizes | dimensionSizes
| Matrix dimension sizes.
bool | loadData
| Is the matrix content loaded from the HDF5 file?
bool | checkpoint
| Is the matrix necessary to be preserver when checkpoint is enabled?
std::string | matrixName
| Matrix name in the HDF5 file.

## Detailed Description

A structure storing details about the matrix. The matrix container stores the list of these records - metadata and pointer to the matrix.

Definition at line 49 of file MatrixRecord.h.

## Constructor & Destructor Documentation

TMatrixRecord::TMatrixRecord | ( |  | ) |

Default constructor.

Definition at line 47 of file MatrixRecord.cpp.

TMatrixRecord::TMatrixRecord | ( | const TMatrixRecord & | src | ) |

Copy constructor of TMatrixRecord.

Parameters

  [in] | src | - Source

Definition at line 63 of file MatrixRecord.cpp.

## Member Function Documentation

TMatrixRecord & TMatrixRecord::operator= | ( | const TMatrixRecord & | src | ) |

operator = of TMatrixRecord.

Parameters

  [in] | src | - Source object

Returns
  A filled object

Definition at line 81 of file MatrixRecord.cpp.

void TMatrixRecord::Set | ( | const TMatrixType | matrixType,
|  | const TDimensionSizes | dimensionSizes,
|  | const bool | loadData,
|  | const bool | checkpoint,
|  | TMatrixName & | matrixName
| ) |  |

Set all values for the record.

Parameters

  [in] | matrixType | - Matrix data type
  [in] | dimensionSizes | - Dimension sizes
  [in] | loadData | - Load data from file?
  [in] | checkpoint | - Checkpoint this matrix?
  [in] | matrixName | - HDF5 matrix name

Definition at line 105 of file MatrixRecord.cpp.

The documentation for this struct was generated from the following files:

- Containers/MatrixRecord.h
- Containers/MatrixRecord.cpp